#pragma once
#include "InterfaceTemplate.h"
#include "Context.h"

//!	インタフェース宣言
class IPathManager;
DEFINE_INTERFACE_NOWRAP(IPathManager);

class IPathManager
{
public:
	virtual ~IPathManager(void)
	{
	}

	///////////////////////////////////////////////////////////////////////////////////////////
	//	インターフェース
	///////////////////////////////////////////////////////////////////////////////////////////
	//!	パスマネージャを取得
	virtual IPathManagerPtr GetIPathManager() = 0;

	//!	パスを検索
	virtual int FindPath(CString path, CString host, CPathInfo pathInfo) = 0;

	//!	パス数を取得
	virtual int GetPathCount() = 0;

	//!	インデックスからパスを取得
	virtual int GetPathByIndex(int index, CPathInfo pathInfo) = 0;
};

